import { CaseField } from '../../domain/definition';
import { WizardPage } from '../../components/case-editor/domain';
import { Predicate } from '../../domain/predicate.model';
import { CaseView } from '../../domain/case-view';
export declare class FieldsUtils {
    private static readonly currencyPipe;
    private static readonly datePipe;
    static readonly LABEL_SUFFIX = "-LABEL";
    static toValuesMap(caseFields: CaseField[]): any;
    private static prepareValue;
    private static readonly DEFAULT_MERGE_FUNCTION;
    private static readonly LABEL_MERGE_FUNCTION;
    private static getMoneyGBP;
    private static getDate;
    private static getFixedListLabelByCodeOrEmpty;
    private static textForInvalidField;
    static getCaseFields(caseView: CaseView): CaseField[];
    buildCanShowPredicate(eventTrigger: any, form: any): Predicate<WizardPage>;
    getCurrentEventState(eventTrigger: any, form: any): any;
    cloneObject(obj: any): any;
    cloneCaseField(obj: any): CaseField;
    mergeCaseFieldsAndFormFields(caseFields: CaseField[], formFields: any): any;
    mergeLabelCaseFieldsAndFormFields(caseFields: CaseField[], formFields: any): any;
    private mergeFields;
}
